CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
File_Test Class Reference
Inheritance diagram for File_Test:
[legend]
Collaboration diagram for File_Test:
[legend]

## Public Member Functions
| testCreate ()
| Verify that files can be created and return the proper error/success codes. More...
| testCreateCopy ()
| testGetLength ()
| testGetType ()
| testComment ()
| testFieldId ()
| testResourceId ()
| testGetMimeType ()
| testGetLink ()
| testGetStorageDirectory ()

## Detailed Description

Definition at line 2 of file File--Test.php.

## Member Function Documentation

File_Test::testComment | ( |  | ) |

Definition at line 53 of file File--Test.php.

References File\Create().

File_Test::testCreate | ( |  | ) |

Verify that files can be created and return the proper error/success codes.

covers Create()

Definition at line 8 of file File--Test.php.

References File\Create(), File\FILESTAT_DOESNOTEXIST, and File\FILESTAT_ZEROLENGTH.

File_Test::testCreateCopy | ( |  | ) |

Definition at line 28 of file File--Test.php.

References File\Create().

File_Test::testFieldId | ( |  | ) |

Definition at line 61 of file File--Test.php.

References File\Create().

File_Test::testGetLength | ( |  | ) |

Definition at line 39 of file File--Test.php.

References File\Create().

File_Test::testGetLink | ( |  | ) |

Definition at line 84 of file File--Test.php.

References File\Create().

File_Test::testGetMimeType | ( |  | ) |

Definition at line 77 of file File--Test.php.

References File\Create().

File_Test::testGetStorageDirectory | ( |  | ) |

Definition at line 97 of file File--Test.php.

References File\Create().

File_Test::testGetType | ( |  | ) |

Definition at line 46 of file File--Test.php.

References File\Create().

File_Test::testResourceId | ( |  | ) |

Definition at line 69 of file File--Test.php.

References File\Create().

The documentation for this class was generated from the following file:

- objects/tests/File--Test.php